ConnectCloud Developers

List the built-in and saved project templates (tenant:forge:read)

GET /api/forge/v1/project-templates

Module: Forge · operationId: listForgeProjectTemplates · Tag: Templates · Auth: access token (Authorization: Bearer <accessToken>)

Requires tenant:forge:read. Built-ins (kanban, scrum, bugs) have no id and are chosen by key.

Responses

  • 200 Templates (application/json)

Fields of the 200 answer:

  • items (array of TemplateInfo, required)
    • builtIn (boolean, required): A built-in template (chosen by key; no id)
    • description (string, required): Description
    • key (string, required): Template key (built-in) or the saved key
    • name (string, required): Display name
    • summary (object, required): Number of rows per configuration collection
    • createdAt (string (date-time)): Saved templates: when it was saved
    • createdBy (string): Saved templates: e-mail of who saved it
    • id (string (uuid)): Saved templates only

Example 200 answer:

{
  "items": [
    {
      "builtIn": true,
      "description": "Freier Ablauf von Triage bis Erledigt mit Epics, Storys, Aufgaben und Fehlern",
      "key": "kanban",
      "name": "Kanban",
      "summary": {
        "automations": 2,
        "customFields": 0,
        "itemTemplates": 1,
        "itemTypes": 4,
        "labels": 5,
        "sectionDefs": 3,
        "statuses": 6,
        "workflows": 1
      }
    },
    {
      "builtIn": true,
      "description": "Wie Kanban, dazu Sub-Tasks, Story Points und das Label „sprint-ziel“",
      "key": "scrum",
      "name": "Scrum",
      "summary": {
        "automations": 2,
        "customFields": 1,
        "itemTemplates": 1,
        "itemTypes": 5,
        "labels": 6,
        "sectionDefs": 3,
        "statuses": 6,
        "workflows": 1
      }
    },
    {
      "builtIn": true,
      "description": "Fehler und Verbesserungen mit festem Ablauf von Neu über Bestätigt bis Behoben",
      "key": "bugs",
      "name": "Fehlerverfolgung",
      "summary": {
        "automations": 2,
        "customFields": 1,
        "itemTemplates": 1,
        "itemTypes": 2,
        "labels": 4,
        "sectionDefs": 3,
        "statuses": 5,
        "workflows": 1
      }
    },
    {
      "builtIn": false,
      "createdAt": "2026-11-12T15:30:00Z",
      "createdBy": "emma.maier@muster-it.example",
      "description": "Scrum mit den Bereichs- und Plattform-Labels der Kundenportal-App.",
      "id": "2e4f6a8b-0c1d-4e3f-9a5b-7c9d1e3f5a01",
      "key": "muster-app",
      "name": "Muster-App-Projekt",
      "summary": {
        "automations": 3,
        "customFields": 1,
        "itemTemplates": 1,
        "itemTypes": 5,
        "labels": 12,
        "sectionDefs": 3,
        "statuses": 6,
        "workflows": 1
      }
    }
  ]
}

Example request

curl -X GET 'https://api.mbcom.cloud/api/forge/v1/project-templates' \
  -H "Authorization: Bearer $ACCESS_TOKEN"

View as Markdown · Interactive reference · OpenAPI